<?php

namespace B2buy\Company\Repositories\Eloquent;

use B2buy\Company\Interfaces\CompanyRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CompanyRepository extends BaseRepository implements CompanyRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('b2buy.company.company.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.company.company.model.model');
    }
}
