<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('company::company.name') !!} <small> {!! trans('app.manage') !!} {!! trans('company::company.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('company::company.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='company-company-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('company/company')!!}">{!! trans('company::company.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('company/company?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('company/company?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('company/company/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('company::admin.company.partial.actions')
                    -->
                    @include('company::admin.company.partial.filter')
                    @include('company::admin.company.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="company-company-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="company-company-check-all"></th>
                        <th data-field="admin_user">{!! trans('company::company.label.admin_user')!!}</th>
                    <th data-field="company_type">{!! trans('company::company.label.company_type')!!}</th>
                    <th data-field="company_name">{!! trans('company::company.label.company_name')!!}</th>
                    <th data-field="abn">{!! trans('company::company.label.abn')!!}</th>
                    <th data-field="work_email">{!! trans('company::company.label.work_email')!!}</th>
                    <th data-field="company_phone">{!! trans('company::company.label.company_phone')!!}</th>
                    <th data-field="trading_name">{!! trans('company::company.label.trading_name')!!}</th>
                    <th data-field="show_trading_name_invoice">{!! trans('company::company.label.show_trading_name_invoice')!!}</th>
                    <th data-field="registered_office">{!! trans('company::company.label.registered_office')!!}</th>
                    <th data-field="duns_number">{!! trans('company::company.label.duns_number')!!}</th>
                    <th data-field="company_logo">{!! trans('company::company.label.company_logo')!!}</th>
                    <th data-field="order_email">{!! trans('company::company.label.order_email')!!}</th>
                    <th data-field="invoice_email">{!! trans('company::company.label.invoice_email')!!}</th>
                    <th data-field="coupa_advantage">{!! trans('company::company.label.coupa_advantage')!!}</th>
                    <th data-field="coupa_customer">{!! trans('company::company.label.coupa_customer')!!}</th>
                    <th data-field="coupa_customer_code">{!! trans('company::company.label.coupa_customer_code')!!}</th>
                    <th data-field="coupa_invoice_shipping_tag">{!! trans('company::company.label.coupa_invoice_shipping_tag')!!}</th>
                    <th data-field="coupa_invoice_url">{!! trans('company::company.label.coupa_invoice_url')!!}</th>
                    <th data-field="test_invoice_url">{!! trans('company::company.label.test_invoice_url')!!}</th>
                    <th data-field="billto_name_production">{!! trans('company::company.label.billto_name_production')!!}</th>
                    <th data-field="billto_name_test">{!! trans('company::company.label.billto_name_test')!!}</th>
                    <th data-field="billing_address_line_1">{!! trans('company::company.label.billing_address_line_1')!!}</th>
                    <th data-field="billing_address_line_2">{!! trans('company::company.label.billing_address_line_2')!!}</th>
                    <th data-field="billing_address_line_3">{!! trans('company::company.label.billing_address_line_3')!!}</th>
                    <th data-field="billing_city">{!! trans('company::company.label.billing_city')!!}</th>
                    <th data-field="billing_state">{!! trans('company::company.label.billing_state')!!}</th>
                    <th data-field="billing_zip">{!! trans('company::company.label.billing_zip')!!}</th>
                    <th data-field="billing_country">{!! trans('company::company.label.billing_country')!!}</th>
                    <th data-field="industry_vertical">{!! trans('company::company.label.industry_vertical')!!}</th>
                    <th data-field="direct_debit_agreement">{!! trans('company::company.label.direct_debit_agreement')!!}</th>
                    <th data-field="supplier_direct_debit_agreement">{!! trans('company::company.label.supplier_direct_debit_agreement')!!}</th>
                    <th data-field="wallet_account_id">{!! trans('company::company.label.wallet_account_id')!!}</th>
                    <th data-field="direct_debit_accounts">{!! trans('company::company.label.direct_debit_accounts')!!}</th>
                    <th data-field="card_accounts">{!! trans('company::company.label.card_accounts')!!}</th>
                    <th data-field="payin_account">{!! trans('company::company.label.payin_account')!!}</th>
                    <th data-field="payout_account">{!! trans('company::company.label.payout_account')!!}</th>
                    <th data-field="managed_bank_accounts">{!! trans('company::company.label.managed_bank_accounts')!!}</th>
                    <th data-field="payment_account_status">{!! trans('company::company.label.payment_account_status')!!}</th>
                    <th data-field="payment_card_status">{!! trans('company::company.label.payment_card_status')!!}</th>
                    <th data-field="kyc_status">{!! trans('company::company.label.kyc_status')!!}</th>
                    <th data-field="zai_registered">{!! trans('company::company.label.zai_registered')!!}</th>
                    <th data-field="payment_terms_0">{!! trans('company::company.label.payment_terms_0')!!}</th>
                    <th data-field="payment_terms_delay">{!! trans('company::company.label.payment_terms_delay')!!}</th>
                    <th data-field="payment_policy">{!! trans('company::company.label.payment_policy')!!}</th>
                    <th data-field="default_rule_status">{!! trans('company::company.label.default_rule_status')!!}</th>
                    <th data-field="default_rule_paymode">{!! trans('company::company.label.default_rule_paymode')!!}</th>
                    <th data-field="default_rule_account">{!! trans('company::company.label.default_rule_account')!!}</th>
                    <th data-field="assembly_agreement">{!! trans('company::company.label.assembly_agreement')!!}</th>
                    <th data-field="web">{!! trans('company::company.label.web')!!}</th>
                    <th data-field="default_address">{!! trans('company::company.label.default_address')!!}</th>
                    <th data-field="address_line_1">{!! trans('company::company.label.address_line_1')!!}</th>
                    <th data-field="address_line_2">{!! trans('company::company.label.address_line_2')!!}</th>
                    <th data-field="suburb">{!! trans('company::company.label.suburb')!!}</th>
                    <th data-field="postcode">{!! trans('company::company.label.postcode')!!}</th>
                    <th data-field="state">{!! trans('company::company.label.state')!!}</th>
                    <th data-field="country">{!! trans('company::company.label.country')!!}</th>
                    <th data-field="custom_invoice_text">{!! trans('company::company.label.custom_invoice_text')!!}</th>
                    <th data-field="directors">{!! trans('company::company.label.directors')!!}</th>
                    <th data-field="linkedin_url">{!! trans('company::company.label.linkedin_url')!!}</th>
                    <th data-field="fb_url">{!! trans('company::company.label.fb_url')!!}</th>
                    <th data-field="agreement">{!! trans('company::company.label.agreement')!!}</th>
                    <th data-field="terms">{!! trans('company::company.label.terms')!!}</th>
                    <th data-field="wizard_terms">{!! trans('company::company.label.wizard_terms')!!}</th>
                    <th data-field="interest">{!! trans('company::company.label.interest')!!}</th>
                    <th data-field="store_status">{!! trans('company::company.label.store_status')!!}</th>
                    <th data-field="manage_bank">{!! trans('company::company.label.manage_bank')!!}</th>
                    <th data-field="account_manage">{!! trans('company::company.label.account_manage')!!}</th>
                    <th data-field="account_access">{!! trans('company::company.label.account_access')!!}</th>
                    <th data-field="manage_api">{!! trans('company::company.label.manage_api')!!}</th>
                    <th data-field="multi_user">{!! trans('company::company.label.multi_user')!!}</th>
                    <th data-field="master_industry">{!! trans('company::company.label.master_industry')!!}</th>
                    <th data-field="master_business_size">{!! trans('company::company.label.master_business_size')!!}</th>
                    <th data-field="government">{!! trans('company::company.label.government')!!}</th>
                    <th data-field="not_for_profit">{!! trans('company::company.label.not_for_profit')!!}</th>
                    <th data-field="master_diversity">{!! trans('company::company.label.master_diversity')!!}</th>
                    <th data-field="diversity_approval">{!! trans('company::company.label.diversity_approval')!!}</th>
                    <th data-field="logo">{!! trans('company::company.label.logo')!!}</th>
                    <th data-field="verify_company_name">{!! trans('company::company.label.verify_company_name')!!}</th>
                    <th data-field="verify_work_email">{!! trans('company::company.label.verify_work_email')!!}</th>
                    <th data-field="verify_abn">{!! trans('company::company.label.verify_abn')!!}</th>
                    <th data-field="verify_duns_number">{!! trans('company::company.label.verify_duns_number')!!}</th>
                    <th data-field="verify_company_phone">{!! trans('company::company.label.verify_company_phone')!!}</th>
                    <th data-field="verify_trading_name">{!! trans('company::company.label.verify_trading_name')!!}</th>
                    <th data-field="verify_director">{!! trans('company::company.label.verify_director')!!}</th>
                    <th data-field="verify_linkedin_url">{!! trans('company::company.label.verify_linkedin_url')!!}</th>
                    <th data-field="verify_fb_url">{!! trans('company::company.label.verify_fb_url')!!}</th>
                    <th data-field="verify_web">{!! trans('company::company.label.verify_web')!!}</th>
                    <th data-field="verify_invoice_email">{!! trans('company::company.label.verify_invoice_email')!!}</th>
                    <th data-field="verify_order_email">{!! trans('company::company.label.verify_order_email')!!}</th>
                    <th data-field="verify_registered_office">{!! trans('company::company.label.verify_registered_office')!!}</th>
                    <th data-field="RFQ">{!! trans('company::company.label.RFQ')!!}</th>
                    <th data-field="wizard_steps">{!! trans('company::company.label.wizard_steps')!!}</th>
                    <th data-field="buyer_wizard_steps">{!! trans('company::company.label.buyer_wizard_steps')!!}</th>
                    <th data-field="supplier_wizard_steps">{!! trans('company::company.label.supplier_wizard_steps')!!}</th>
                    <th data-field="account_setup">{!! trans('company::company.label.account_setup')!!}</th>
                    <th data-field="cp_unique_name">{!! trans('company::company.label.cp_unique_name')!!}</th>
                    <th data-field="referral_code">{!! trans('company::company.label.referral_code')!!}</th>
                    <th data-field="referred_by">{!! trans('company::company.label.referred_by')!!}</th>
                    <th data-field="b2buy_store_vendor">{!! trans('company::company.label.b2buy_store_vendor')!!}</th>
                    <th data-field="suffix">{!! trans('company::company.label.suffix')!!}</th>
                    <th data-field="b2buy_policy">{!! trans('company::company.label.b2buy_policy')!!}</th>
                    <th data-field="margin_background_process">{!! trans('company::company.label.margin_background_process')!!}</th>
                    <th data-field="b2buy_email">{!! trans('company::company.label.b2buy_email')!!}</th>
                    <th data-field="minimum_stock">{!! trans('company::company.label.minimum_stock')!!}</th>
                    <th data-field="customer_number">{!! trans('company::company.label.customer_number')!!}</th>
                    <th data-field="send_invoice_by_email">{!! trans('company::company.label.send_invoice_by_email')!!}</th>
                    <th data-field="send_cxml_invoice">{!! trans('company::company.label.send_cxml_invoice')!!}</th>
                    <th data-field="beta_user">{!! trans('company::company.label.beta_user')!!}</th>
                    <th data-field="login_to_live">{!! trans('company::company.label.login_to_live')!!}</th>
                    <th data-field="login_to_beta">{!! trans('company::company.label.login_to_beta')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#company-company-entry', '{!!guard_url('company/company/0')!!}');
    oTable = $('#company-company-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('company/company') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'admin_user'},
            {data :'company_type'},
            {data :'company_name'},
            {data :'abn'},
            {data :'work_email'},
            {data :'company_phone'},
            {data :'trading_name'},
            {data :'show_trading_name_invoice'},
            {data :'registered_office'},
            {data :'duns_number'},
            {data :'company_logo'},
            {data :'order_email'},
            {data :'invoice_email'},
            {data :'coupa_advantage'},
            {data :'coupa_customer'},
            {data :'coupa_customer_code'},
            {data :'coupa_invoice_shipping_tag'},
            {data :'coupa_invoice_url'},
            {data :'test_invoice_url'},
            {data :'billto_name_production'},
            {data :'billto_name_test'},
            {data :'billing_address_line_1'},
            {data :'billing_address_line_2'},
            {data :'billing_address_line_3'},
            {data :'billing_city'},
            {data :'billing_state'},
            {data :'billing_zip'},
            {data :'billing_country'},
            {data :'industry_vertical'},
            {data :'direct_debit_agreement'},
            {data :'supplier_direct_debit_agreement'},
            {data :'wallet_account_id'},
            {data :'direct_debit_accounts'},
            {data :'card_accounts'},
            {data :'payin_account'},
            {data :'payout_account'},
            {data :'managed_bank_accounts'},
            {data :'payment_account_status'},
            {data :'payment_card_status'},
            {data :'kyc_status'},
            {data :'zai_registered'},
            {data :'payment_terms_0'},
            {data :'payment_terms_delay'},
            {data :'payment_policy'},
            {data :'default_rule_status'},
            {data :'default_rule_paymode'},
            {data :'default_rule_account'},
            {data :'assembly_agreement'},
            {data :'web'},
            {data :'default_address'},
            {data :'address_line_1'},
            {data :'address_line_2'},
            {data :'suburb'},
            {data :'postcode'},
            {data :'state'},
            {data :'country'},
            {data :'custom_invoice_text'},
            {data :'directors'},
            {data :'linkedin_url'},
            {data :'fb_url'},
            {data :'agreement'},
            {data :'terms'},
            {data :'wizard_terms'},
            {data :'interest'},
            {data :'store_status'},
            {data :'manage_bank'},
            {data :'account_manage'},
            {data :'account_access'},
            {data :'manage_api'},
            {data :'multi_user'},
            {data :'master_industry'},
            {data :'master_business_size'},
            {data :'government'},
            {data :'not_for_profit'},
            {data :'master_diversity'},
            {data :'diversity_approval'},
            {data :'logo'},
            {data :'verify_company_name'},
            {data :'verify_work_email'},
            {data :'verify_abn'},
            {data :'verify_duns_number'},
            {data :'verify_company_phone'},
            {data :'verify_trading_name'},
            {data :'verify_director'},
            {data :'verify_linkedin_url'},
            {data :'verify_fb_url'},
            {data :'verify_web'},
            {data :'verify_invoice_email'},
            {data :'verify_order_email'},
            {data :'verify_registered_office'},
            {data :'RFQ'},
            {data :'wizard_steps'},
            {data :'buyer_wizard_steps'},
            {data :'supplier_wizard_steps'},
            {data :'account_setup'},
            {data :'cp_unique_name'},
            {data :'referral_code'},
            {data :'referred_by'},
            {data :'b2buy_store_vendor'},
            {data :'suffix'},
            {data :'b2buy_policy'},
            {data :'margin_background_process'},
            {data :'b2buy_email'},
            {data :'minimum_stock'},
            {data :'customer_number'},
            {data :'send_invoice_by_email'},
            {data :'send_cxml_invoice'},
            {data :'beta_user'},
            {data :'login_to_live'},
            {data :'login_to_beta'},
        ],
        "pageLength": 25
    });

    $('#company-company-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#company-company-list').DataTable().row( this ).data();
        $('#company-company-entry').load('{!!guard_url('company/company')!!}' + '/' + d.id);
    });

    $('#company-company-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#company-company-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#company-company-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#company-company-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>