<div class="btn-group company-company">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[admin_user]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.admin_user')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[admin_user]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[company_type]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.company_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[company_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[company_name]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.company_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[company_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[abn]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.abn')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[abn]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[work_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.work_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[work_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[company_phone]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.company_phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[company_phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[trading_name]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.trading_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[trading_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[show_trading_name_invoice]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.show_trading_name_invoice')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[show_trading_name_invoice]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[registered_office]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.registered_office')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[registered_office]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[duns_number]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.duns_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[duns_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[company_logo]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.company_logo')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[company_logo]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[order_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.order_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[order_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[invoice_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.invoice_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[invoice_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coupa_advantage]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.coupa_advantage')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coupa_advantage]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coupa_customer]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.coupa_customer')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coupa_customer]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coupa_customer_code]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.coupa_customer_code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coupa_customer_code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coupa_invoice_shipping_tag]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.coupa_invoice_shipping_tag')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coupa_invoice_shipping_tag]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coupa_invoice_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.coupa_invoice_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coupa_invoice_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[test_invoice_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.test_invoice_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[test_invoice_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billto_name_production]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billto_name_production')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billto_name_production]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billto_name_test]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billto_name_test')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billto_name_test]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_address_line_1]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_address_line_1')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_address_line_1]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_address_line_2]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_address_line_2')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_address_line_2]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_address_line_3]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_address_line_3')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_address_line_3]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_city]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_city')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_city]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_state]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_state')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_state]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_zip]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_zip')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_zip]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[billing_country]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.billing_country')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[billing_country]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[industry_vertical]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.industry_vertical')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[industry_vertical]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[direct_debit_agreement]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.direct_debit_agreement')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[direct_debit_agreement]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[supplier_direct_debit_agreement]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.supplier_direct_debit_agreement')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[supplier_direct_debit_agreement]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[wallet_account_id]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.wallet_account_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[wallet_account_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[direct_debit_accounts]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.direct_debit_accounts')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[direct_debit_accounts]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[card_accounts]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.card_accounts')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[card_accounts]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payin_account]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payin_account')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payin_account]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payout_account]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payout_account')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payout_account]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[managed_bank_accounts]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.managed_bank_accounts')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[managed_bank_accounts]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_account_status]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payment_account_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_account_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_card_status]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payment_card_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_card_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[kyc_status]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.kyc_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[kyc_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[zai_registered]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.zai_registered')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[zai_registered]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_terms_0]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payment_terms_0')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_terms_0]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_terms_delay]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payment_terms_delay')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_terms_delay]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[payment_policy]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.payment_policy')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[payment_policy]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[default_rule_status]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.default_rule_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[default_rule_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[default_rule_paymode]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.default_rule_paymode')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[default_rule_paymode]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[default_rule_account]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.default_rule_account')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[default_rule_account]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[assembly_agreement]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.assembly_agreement')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[assembly_agreement]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[web]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.web')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[web]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[default_address]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.default_address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[default_address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[address_line_1]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.address_line_1')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[address_line_1]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[address_line_2]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.address_line_2')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[address_line_2]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[suburb]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.suburb')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[suburb]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[postcode]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.postcode')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[postcode]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[state]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.state')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[state]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[country]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.country')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[country]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[custom_invoice_text]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.custom_invoice_text')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[custom_invoice_text]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[directors]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.directors')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[directors]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[linkedin_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.linkedin_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[linkedin_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[fb_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.fb_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[fb_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[agreement]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.agreement')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[agreement]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[terms]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.terms')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[terms]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[wizard_terms]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.wizard_terms')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[wizard_terms]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[interest]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.interest')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[interest]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[store_status]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.store_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[store_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manage_bank]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.manage_bank')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manage_bank]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_manage]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.account_manage')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_manage]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_access]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.account_access')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_access]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manage_api]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.manage_api')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manage_api]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[multi_user]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.multi_user')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[multi_user]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[master_industry]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.master_industry')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[master_industry]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[master_business_size]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.master_business_size')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[master_business_size]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[government]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.government')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[government]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[not_for_profit]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.not_for_profit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[not_for_profit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[master_diversity]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.master_diversity')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[master_diversity]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[diversity_approval]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.diversity_approval')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[diversity_approval]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[logo]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.logo')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[logo]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_company_name]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_company_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_company_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_work_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_work_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_work_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_abn]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_abn')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_abn]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_duns_number]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_duns_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_duns_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_company_phone]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_company_phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_company_phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_trading_name]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_trading_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_trading_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_director]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_director')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_director]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_linkedin_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_linkedin_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_linkedin_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_fb_url]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_fb_url')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_fb_url]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_web]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_web')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_web]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_invoice_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_invoice_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_invoice_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_order_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_order_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_order_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[verify_registered_office]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.verify_registered_office')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[verify_registered_office]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[RFQ]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.RFQ')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[RFQ]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[wizard_steps]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.wizard_steps')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[wizard_steps]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[buyer_wizard_steps]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.buyer_wizard_steps')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[buyer_wizard_steps]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[supplier_wizard_steps]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.supplier_wizard_steps')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[supplier_wizard_steps]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_setup]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.account_setup')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_setup]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[cp_unique_name]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.cp_unique_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[cp_unique_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[referral_code]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.referral_code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[referral_code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[referred_by]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.referred_by')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[referred_by]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[b2buy_store_vendor]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.b2buy_store_vendor')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[b2buy_store_vendor]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[suffix]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.suffix')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[suffix]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[b2buy_policy]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.b2buy_policy')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[b2buy_policy]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[margin_background_process]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.margin_background_process')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[margin_background_process]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[b2buy_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.b2buy_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[b2buy_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[minimum_stock]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.minimum_stock')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[minimum_stock]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[customer_number]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.customer_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[customer_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[send_invoice_by_email]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.send_invoice_by_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[send_invoice_by_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[send_cxml_invoice]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.send_cxml_invoice')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[send_cxml_invoice]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[beta_user]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.beta_user')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[beta_user]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[login_to_live]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.login_to_live')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[login_to_live]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[login_to_beta]" class="col-sm-2 control-label">
                                        {!! trans('company::company.label.login_to_beta')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[login_to_beta]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".company-company .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/company.company.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".company-company .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.company-company .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'company.company.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#company-company-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#company-company-list .btn-reset-filter').css('display', 'none');

    });

});
</script>