            @include('company::company.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('company::company.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($company->defaultImage('images' , 'xl'))!!}" alt="{{$company->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('company::company.label.id') !!}
                </label><br />
                    {!! $company['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('company::company.label.user_id') !!}
                </label><br />
                    {!! $company['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="admin_user">
                    {!! trans('company::company.label.admin_user') !!}
                </label><br />
                    {!! $company['admin_user'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_type">
                    {!! trans('company::company.label.company_type') !!}
                </label><br />
                    {!! $company['company_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_name">
                    {!! trans('company::company.label.company_name') !!}
                </label><br />
                    {!! $company['company_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="abn">
                    {!! trans('company::company.label.abn') !!}
                </label><br />
                    {!! $company['abn'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="work_email">
                    {!! trans('company::company.label.work_email') !!}
                </label><br />
                    {!! $company['work_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_phone">
                    {!! trans('company::company.label.company_phone') !!}
                </label><br />
                    {!! $company['company_phone'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="trading_name">
                    {!! trans('company::company.label.trading_name') !!}
                </label><br />
                    {!! $company['trading_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="show_trading_name_invoice">
                    {!! trans('company::company.label.show_trading_name_invoice') !!}
                </label><br />
                    {!! $company['show_trading_name_invoice'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="registered_office">
                    {!! trans('company::company.label.registered_office') !!}
                </label><br />
                    {!! $company['registered_office'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="duns_number">
                    {!! trans('company::company.label.duns_number') !!}
                </label><br />
                    {!! $company['duns_number'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_logo">
                    {!! trans('company::company.label.company_logo') !!}
                </label><br />
                    {!! $company['company_logo'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="order_email">
                    {!! trans('company::company.label.order_email') !!}
                </label><br />
                    {!! $company['order_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="invoice_email">
                    {!! trans('company::company.label.invoice_email') !!}
                </label><br />
                    {!! $company['invoice_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coupa_advantage">
                    {!! trans('company::company.label.coupa_advantage') !!}
                </label><br />
                    {!! $company['coupa_advantage'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coupa_customer">
                    {!! trans('company::company.label.coupa_customer') !!}
                </label><br />
                    {!! $company['coupa_customer'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coupa_customer_code">
                    {!! trans('company::company.label.coupa_customer_code') !!}
                </label><br />
                    {!! $company['coupa_customer_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coupa_invoice_shipping_tag">
                    {!! trans('company::company.label.coupa_invoice_shipping_tag') !!}
                </label><br />
                    {!! $company['coupa_invoice_shipping_tag'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coupa_invoice_url">
                    {!! trans('company::company.label.coupa_invoice_url') !!}
                </label><br />
                    {!! $company['coupa_invoice_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="test_invoice_url">
                    {!! trans('company::company.label.test_invoice_url') !!}
                </label><br />
                    {!! $company['test_invoice_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billto_name_production">
                    {!! trans('company::company.label.billto_name_production') !!}
                </label><br />
                    {!! $company['billto_name_production'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billto_name_test">
                    {!! trans('company::company.label.billto_name_test') !!}
                </label><br />
                    {!! $company['billto_name_test'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_address_line_1">
                    {!! trans('company::company.label.billing_address_line_1') !!}
                </label><br />
                    {!! $company['billing_address_line_1'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_address_line_2">
                    {!! trans('company::company.label.billing_address_line_2') !!}
                </label><br />
                    {!! $company['billing_address_line_2'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_address_line_3">
                    {!! trans('company::company.label.billing_address_line_3') !!}
                </label><br />
                    {!! $company['billing_address_line_3'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_city">
                    {!! trans('company::company.label.billing_city') !!}
                </label><br />
                    {!! $company['billing_city'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_state">
                    {!! trans('company::company.label.billing_state') !!}
                </label><br />
                    {!! $company['billing_state'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_zip">
                    {!! trans('company::company.label.billing_zip') !!}
                </label><br />
                    {!! $company['billing_zip'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="billing_country">
                    {!! trans('company::company.label.billing_country') !!}
                </label><br />
                    {!! $company['billing_country'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="industry_vertical">
                    {!! trans('company::company.label.industry_vertical') !!}
                </label><br />
                    {!! $company['industry_vertical'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="direct_debit_agreement">
                    {!! trans('company::company.label.direct_debit_agreement') !!}
                </label><br />
                    {!! $company['direct_debit_agreement'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="supplier_direct_debit_agreement">
                    {!! trans('company::company.label.supplier_direct_debit_agreement') !!}
                </label><br />
                    {!! $company['supplier_direct_debit_agreement'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="wallet_account_id">
                    {!! trans('company::company.label.wallet_account_id') !!}
                </label><br />
                    {!! $company['wallet_account_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="direct_debit_accounts">
                    {!! trans('company::company.label.direct_debit_accounts') !!}
                </label><br />
                    {!! $company['direct_debit_accounts'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="card_accounts">
                    {!! trans('company::company.label.card_accounts') !!}
                </label><br />
                    {!! $company['card_accounts'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payin_account">
                    {!! trans('company::company.label.payin_account') !!}
                </label><br />
                    {!! $company['payin_account'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payout_account">
                    {!! trans('company::company.label.payout_account') !!}
                </label><br />
                    {!! $company['payout_account'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="managed_bank_accounts">
                    {!! trans('company::company.label.managed_bank_accounts') !!}
                </label><br />
                    {!! $company['managed_bank_accounts'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payment_account_status">
                    {!! trans('company::company.label.payment_account_status') !!}
                </label><br />
                    {!! $company['payment_account_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payment_card_status">
                    {!! trans('company::company.label.payment_card_status') !!}
                </label><br />
                    {!! $company['payment_card_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="kyc_status">
                    {!! trans('company::company.label.kyc_status') !!}
                </label><br />
                    {!! $company['kyc_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="zai_registered">
                    {!! trans('company::company.label.zai_registered') !!}
                </label><br />
                    {!! $company['zai_registered'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payment_terms_0">
                    {!! trans('company::company.label.payment_terms_0') !!}
                </label><br />
                    {!! $company['payment_terms_0'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payment_terms_delay">
                    {!! trans('company::company.label.payment_terms_delay') !!}
                </label><br />
                    {!! $company['payment_terms_delay'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="payment_policy">
                    {!! trans('company::company.label.payment_policy') !!}
                </label><br />
                    {!! $company['payment_policy'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="default_rule_status">
                    {!! trans('company::company.label.default_rule_status') !!}
                </label><br />
                    {!! $company['default_rule_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="default_rule_paymode">
                    {!! trans('company::company.label.default_rule_paymode') !!}
                </label><br />
                    {!! $company['default_rule_paymode'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="default_rule_account">
                    {!! trans('company::company.label.default_rule_account') !!}
                </label><br />
                    {!! $company['default_rule_account'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="assembly_agreement">
                    {!! trans('company::company.label.assembly_agreement') !!}
                </label><br />
                    {!! $company['assembly_agreement'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="web">
                    {!! trans('company::company.label.web') !!}
                </label><br />
                    {!! $company['web'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="default_address">
                    {!! trans('company::company.label.default_address') !!}
                </label><br />
                    {!! $company['default_address'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="address_line_1">
                    {!! trans('company::company.label.address_line_1') !!}
                </label><br />
                    {!! $company['address_line_1'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="address_line_2">
                    {!! trans('company::company.label.address_line_2') !!}
                </label><br />
                    {!! $company['address_line_2'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="suburb">
                    {!! trans('company::company.label.suburb') !!}
                </label><br />
                    {!! $company['suburb'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="postcode">
                    {!! trans('company::company.label.postcode') !!}
                </label><br />
                    {!! $company['postcode'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="state">
                    {!! trans('company::company.label.state') !!}
                </label><br />
                    {!! $company['state'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="country">
                    {!! trans('company::company.label.country') !!}
                </label><br />
                    {!! $company['country'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="custom_invoice_text">
                    {!! trans('company::company.label.custom_invoice_text') !!}
                </label><br />
                    {!! $company['custom_invoice_text'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="directors">
                    {!! trans('company::company.label.directors') !!}
                </label><br />
                    {!! $company['directors'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="linkedin_url">
                    {!! trans('company::company.label.linkedin_url') !!}
                </label><br />
                    {!! $company['linkedin_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="fb_url">
                    {!! trans('company::company.label.fb_url') !!}
                </label><br />
                    {!! $company['fb_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="agreement">
                    {!! trans('company::company.label.agreement') !!}
                </label><br />
                    {!! $company['agreement'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="terms">
                    {!! trans('company::company.label.terms') !!}
                </label><br />
                    {!! $company['terms'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="wizard_terms">
                    {!! trans('company::company.label.wizard_terms') !!}
                </label><br />
                    {!! $company['wizard_terms'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="interest">
                    {!! trans('company::company.label.interest') !!}
                </label><br />
                    {!! $company['interest'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="store_status">
                    {!! trans('company::company.label.store_status') !!}
                </label><br />
                    {!! $company['store_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="manage_bank">
                    {!! trans('company::company.label.manage_bank') !!}
                </label><br />
                    {!! $company['manage_bank'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="account_manage">
                    {!! trans('company::company.label.account_manage') !!}
                </label><br />
                    {!! $company['account_manage'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="account_access">
                    {!! trans('company::company.label.account_access') !!}
                </label><br />
                    {!! $company['account_access'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="manage_api">
                    {!! trans('company::company.label.manage_api') !!}
                </label><br />
                    {!! $company['manage_api'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="multi_user">
                    {!! trans('company::company.label.multi_user') !!}
                </label><br />
                    {!! $company['multi_user'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="master_industry">
                    {!! trans('company::company.label.master_industry') !!}
                </label><br />
                    {!! $company['master_industry'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="master_business_size">
                    {!! trans('company::company.label.master_business_size') !!}
                </label><br />
                    {!! $company['master_business_size'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="government">
                    {!! trans('company::company.label.government') !!}
                </label><br />
                    {!! $company['government'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="not_for_profit">
                    {!! trans('company::company.label.not_for_profit') !!}
                </label><br />
                    {!! $company['not_for_profit'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="master_diversity">
                    {!! trans('company::company.label.master_diversity') !!}
                </label><br />
                    {!! $company['master_diversity'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="diversity_details">
                    {!! trans('company::company.label.diversity_details') !!}
                </label><br />
                    {!! $company['diversity_details'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="diversity_approval">
                    {!! trans('company::company.label.diversity_approval') !!}
                </label><br />
                    {!! $company['diversity_approval'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="logo">
                    {!! trans('company::company.label.logo') !!}
                </label><br />
                    {!! $company['logo'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="about_content">
                    {!! trans('company::company.label.about_content') !!}
                </label><br />
                    {!! $company['about_content'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="blocked_categories">
                    {!! trans('company::company.label.blocked_categories') !!}
                </label><br />
                    {!! $company['blocked_categories'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="block_category_master">
                    {!! trans('company::company.label.block_category_master') !!}
                </label><br />
                    {!! $company['block_category_master'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_company_name">
                    {!! trans('company::company.label.verify_company_name') !!}
                </label><br />
                    {!! $company['verify_company_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_work_email">
                    {!! trans('company::company.label.verify_work_email') !!}
                </label><br />
                    {!! $company['verify_work_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_abn">
                    {!! trans('company::company.label.verify_abn') !!}
                </label><br />
                    {!! $company['verify_abn'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_duns_number">
                    {!! trans('company::company.label.verify_duns_number') !!}
                </label><br />
                    {!! $company['verify_duns_number'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_company_phone">
                    {!! trans('company::company.label.verify_company_phone') !!}
                </label><br />
                    {!! $company['verify_company_phone'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_trading_name">
                    {!! trans('company::company.label.verify_trading_name') !!}
                </label><br />
                    {!! $company['verify_trading_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_director">
                    {!! trans('company::company.label.verify_director') !!}
                </label><br />
                    {!! $company['verify_director'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_linkedin_url">
                    {!! trans('company::company.label.verify_linkedin_url') !!}
                </label><br />
                    {!! $company['verify_linkedin_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_fb_url">
                    {!! trans('company::company.label.verify_fb_url') !!}
                </label><br />
                    {!! $company['verify_fb_url'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_web">
                    {!! trans('company::company.label.verify_web') !!}
                </label><br />
                    {!! $company['verify_web'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_invoice_email">
                    {!! trans('company::company.label.verify_invoice_email') !!}
                </label><br />
                    {!! $company['verify_invoice_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_order_email">
                    {!! trans('company::company.label.verify_order_email') !!}
                </label><br />
                    {!! $company['verify_order_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="verify_registered_office">
                    {!! trans('company::company.label.verify_registered_office') !!}
                </label><br />
                    {!! $company['verify_registered_office'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="RFQ">
                    {!! trans('company::company.label.RFQ') !!}
                </label><br />
                    {!! $company['RFQ'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="wizard_steps">
                    {!! trans('company::company.label.wizard_steps') !!}
                </label><br />
                    {!! $company['wizard_steps'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="buyer_wizard_steps">
                    {!! trans('company::company.label.buyer_wizard_steps') !!}
                </label><br />
                    {!! $company['buyer_wizard_steps'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="supplier_wizard_steps">
                    {!! trans('company::company.label.supplier_wizard_steps') !!}
                </label><br />
                    {!! $company['supplier_wizard_steps'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="account_setup">
                    {!! trans('company::company.label.account_setup') !!}
                </label><br />
                    {!! $company['account_setup'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="cp_unique_name">
                    {!! trans('company::company.label.cp_unique_name') !!}
                </label><br />
                    {!! $company['cp_unique_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="referral_code">
                    {!! trans('company::company.label.referral_code') !!}
                </label><br />
                    {!! $company['referral_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="referred_by">
                    {!! trans('company::company.label.referred_by') !!}
                </label><br />
                    {!! $company['referred_by'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="b2buy_store_vendor">
                    {!! trans('company::company.label.b2buy_store_vendor') !!}
                </label><br />
                    {!! $company['b2buy_store_vendor'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="suffix">
                    {!! trans('company::company.label.suffix') !!}
                </label><br />
                    {!! $company['suffix'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="b2buy_policy">
                    {!! trans('company::company.label.b2buy_policy') !!}
                </label><br />
                    {!! $company['b2buy_policy'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="margin_background_process">
                    {!! trans('company::company.label.margin_background_process') !!}
                </label><br />
                    {!! $company['margin_background_process'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="b2buy_email">
                    {!! trans('company::company.label.b2buy_email') !!}
                </label><br />
                    {!! $company['b2buy_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="minimum_stock">
                    {!! trans('company::company.label.minimum_stock') !!}
                </label><br />
                    {!! $company['minimum_stock'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="customer_number">
                    {!! trans('company::company.label.customer_number') !!}
                </label><br />
                    {!! $company['customer_number'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="send_invoice_by_email">
                    {!! trans('company::company.label.send_invoice_by_email') !!}
                </label><br />
                    {!! $company['send_invoice_by_email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="send_cxml_invoice">
                    {!! trans('company::company.label.send_cxml_invoice') !!}
                </label><br />
                    {!! $company['send_cxml_invoice'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="beta_user">
                    {!! trans('company::company.label.beta_user') !!}
                </label><br />
                    {!! $company['beta_user'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="login_to_live">
                    {!! trans('company::company.label.login_to_live') !!}
                </label><br />
                    {!! $company['login_to_live'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="login_to_beta">
                    {!! trans('company::company.label.login_to_beta') !!}
                </label><br />
                    {!! $company['login_to_beta'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('company::company.label.deleted_at') !!}
                </label><br />
                    {!! $company['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('company::company.label.created_at') !!}
                </label><br />
                    {!! $company['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('company::company.label.updated_at') !!}
                </label><br />
                    {!! $company['updated_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('admin_user')
                       -> label(trans('company::company.label.admin_user'))
                       -> placeholder(trans('company::company.placeholder.admin_user'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('company_type')
                   -> radios(trans('company::company.options.company_type'))
                   -> label(trans('company::company.label.company_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('company_name')
                       -> label(trans('company::company.label.company_name'))
                       -> placeholder(trans('company::company.placeholder.company_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('abn')
                       -> label(trans('company::company.label.abn'))
                       -> placeholder(trans('company::company.placeholder.abn'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('work_email')
                       -> label(trans('company::company.label.work_email'))
                       -> placeholder(trans('company::company.placeholder.work_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('company_phone')
                       -> label(trans('company::company.label.company_phone'))
                       -> placeholder(trans('company::company.placeholder.company_phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('trading_name')
                       -> label(trans('company::company.label.trading_name'))
                       -> placeholder(trans('company::company.placeholder.trading_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('show_trading_name_invoice')
                       -> label(trans('company::company.label.show_trading_name_invoice'))
                       -> placeholder(trans('company::company.placeholder.show_trading_name_invoice'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('registered_office')
                       -> label(trans('company::company.label.registered_office'))
                       -> placeholder(trans('company::company.placeholder.registered_office'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('duns_number')
                       -> label(trans('company::company.label.duns_number'))
                       -> placeholder(trans('company::company.placeholder.duns_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('company_logo')
                       -> label(trans('company::company.label.company_logo'))
                       -> placeholder(trans('company::company.placeholder.company_logo'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('order_email')
                       -> label(trans('company::company.label.order_email'))
                       -> placeholder(trans('company::company.placeholder.order_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('invoice_email')
                       -> label(trans('company::company.label.invoice_email'))
                       -> placeholder(trans('company::company.placeholder.invoice_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('coupa_advantage')
                       -> label(trans('company::company.label.coupa_advantage'))
                       -> placeholder(trans('company::company.placeholder.coupa_advantage'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('coupa_customer')
                       -> label(trans('company::company.label.coupa_customer'))
                       -> placeholder(trans('company::company.placeholder.coupa_customer'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('coupa_customer_code')
                       -> label(trans('company::company.label.coupa_customer_code'))
                       -> placeholder(trans('company::company.placeholder.coupa_customer_code'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('coupa_invoice_shipping_tag')
                       -> label(trans('company::company.label.coupa_invoice_shipping_tag'))
                       -> placeholder(trans('company::company.placeholder.coupa_invoice_shipping_tag'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('coupa_invoice_url')
                       -> label(trans('company::company.label.coupa_invoice_url'))
                       -> placeholder(trans('company::company.placeholder.coupa_invoice_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('test_invoice_url')
                       -> label(trans('company::company.label.test_invoice_url'))
                       -> placeholder(trans('company::company.placeholder.test_invoice_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billto_name_production')
                       -> label(trans('company::company.label.billto_name_production'))
                       -> placeholder(trans('company::company.placeholder.billto_name_production'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billto_name_test')
                       -> label(trans('company::company.label.billto_name_test'))
                       -> placeholder(trans('company::company.placeholder.billto_name_test'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_address_line_1')
                       -> label(trans('company::company.label.billing_address_line_1'))
                       -> placeholder(trans('company::company.placeholder.billing_address_line_1'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_address_line_2')
                       -> label(trans('company::company.label.billing_address_line_2'))
                       -> placeholder(trans('company::company.placeholder.billing_address_line_2'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_address_line_3')
                       -> label(trans('company::company.label.billing_address_line_3'))
                       -> placeholder(trans('company::company.placeholder.billing_address_line_3'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_city')
                       -> label(trans('company::company.label.billing_city'))
                       -> placeholder(trans('company::company.placeholder.billing_city'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_state')
                       -> label(trans('company::company.label.billing_state'))
                       -> placeholder(trans('company::company.placeholder.billing_state'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_zip')
                       -> label(trans('company::company.label.billing_zip'))
                       -> placeholder(trans('company::company.placeholder.billing_zip'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('billing_country')
                       -> label(trans('company::company.label.billing_country'))
                       -> placeholder(trans('company::company.placeholder.billing_country'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('industry_vertical')
                       -> label(trans('company::company.label.industry_vertical'))
                       -> placeholder(trans('company::company.placeholder.industry_vertical'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('direct_debit_agreement')
                       -> label(trans('company::company.label.direct_debit_agreement'))
                       -> placeholder(trans('company::company.placeholder.direct_debit_agreement'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('supplier_direct_debit_agreement')
                       -> label(trans('company::company.label.supplier_direct_debit_agreement'))
                       -> placeholder(trans('company::company.placeholder.supplier_direct_debit_agreement'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('wallet_account_id')
                       -> label(trans('company::company.label.wallet_account_id'))
                       -> placeholder(trans('company::company.placeholder.wallet_account_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('direct_debit_accounts')
                       -> label(trans('company::company.label.direct_debit_accounts'))
                       -> placeholder(trans('company::company.placeholder.direct_debit_accounts'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('card_accounts')
                       -> label(trans('company::company.label.card_accounts'))
                       -> placeholder(trans('company::company.placeholder.card_accounts'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('payin_account')
                       -> label(trans('company::company.label.payin_account'))
                       -> placeholder(trans('company::company.placeholder.payin_account'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('payout_account')
                       -> label(trans('company::company.label.payout_account'))
                       -> placeholder(trans('company::company.placeholder.payout_account'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('managed_bank_accounts')
                       -> label(trans('company::company.label.managed_bank_accounts'))
                       -> placeholder(trans('company::company.placeholder.managed_bank_accounts'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('payment_account_status')
                   -> radios(trans('company::company.options.payment_account_status'))
                   -> label(trans('company::company.label.payment_account_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('payment_card_status')
                   -> radios(trans('company::company.options.payment_card_status'))
                   -> label(trans('company::company.label.payment_card_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('kyc_status')
                   -> radios(trans('company::company.options.kyc_status'))
                   -> label(trans('company::company.label.kyc_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('zai_registered')
                       -> label(trans('company::company.label.zai_registered'))
                       -> placeholder(trans('company::company.placeholder.zai_registered'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('payment_terms_0')
                       -> label(trans('company::company.label.payment_terms_0'))
                       -> placeholder(trans('company::company.placeholder.payment_terms_0'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('payment_terms_delay')
                       -> label(trans('company::company.label.payment_terms_delay'))
                       -> placeholder(trans('company::company.placeholder.payment_terms_delay'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('payment_policy')
                       -> label(trans('company::company.label.payment_policy'))
                       -> placeholder(trans('company::company.placeholder.payment_policy'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('default_rule_status')
                       -> label(trans('company::company.label.default_rule_status'))
                       -> placeholder(trans('company::company.placeholder.default_rule_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('default_rule_paymode')
                       -> label(trans('company::company.label.default_rule_paymode'))
                       -> placeholder(trans('company::company.placeholder.default_rule_paymode'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('default_rule_account')
                       -> label(trans('company::company.label.default_rule_account'))
                       -> placeholder(trans('company::company.placeholder.default_rule_account'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('assembly_agreement')
                       -> label(trans('company::company.label.assembly_agreement'))
                       -> placeholder(trans('company::company.placeholder.assembly_agreement'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('web')
                       -> label(trans('company::company.label.web'))
                       -> placeholder(trans('company::company.placeholder.web'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('default_address')
                       -> label(trans('company::company.label.default_address'))
                       -> placeholder(trans('company::company.placeholder.default_address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('address_line_1')
                       -> label(trans('company::company.label.address_line_1'))
                       -> placeholder(trans('company::company.placeholder.address_line_1'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('address_line_2')
                       -> label(trans('company::company.label.address_line_2'))
                       -> placeholder(trans('company::company.placeholder.address_line_2'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('suburb')
                       -> label(trans('company::company.label.suburb'))
                       -> placeholder(trans('company::company.placeholder.suburb'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('postcode')
                       -> label(trans('company::company.label.postcode'))
                       -> placeholder(trans('company::company.placeholder.postcode'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('state')
                       -> label(trans('company::company.label.state'))
                       -> placeholder(trans('company::company.placeholder.state'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('country')
                       -> label(trans('company::company.label.country'))
                       -> placeholder(trans('company::company.placeholder.country'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('custom_invoice_text')
                       -> label(trans('company::company.label.custom_invoice_text'))
                       -> placeholder(trans('company::company.placeholder.custom_invoice_text'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('directors')
                       -> label(trans('company::company.label.directors'))
                       -> placeholder(trans('company::company.placeholder.directors'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('linkedin_url')
                       -> label(trans('company::company.label.linkedin_url'))
                       -> placeholder(trans('company::company.placeholder.linkedin_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('fb_url')
                       -> label(trans('company::company.label.fb_url'))
                       -> placeholder(trans('company::company.placeholder.fb_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('agreement')
                       -> label(trans('company::company.label.agreement'))
                       -> placeholder(trans('company::company.placeholder.agreement'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('terms')
                       -> label(trans('company::company.label.terms'))
                       -> placeholder(trans('company::company.placeholder.terms'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('wizard_terms')
                       -> label(trans('company::company.label.wizard_terms'))
                       -> placeholder(trans('company::company.placeholder.wizard_terms'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('interest')
                   -> radios(trans('company::company.options.interest'))
                   -> label(trans('company::company.label.interest'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('store_status')
                   -> radios(trans('company::company.options.store_status'))
                   -> label(trans('company::company.label.store_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('manage_bank')
                   -> radios(trans('company::company.options.manage_bank'))
                   -> label(trans('company::company.label.manage_bank'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('account_manage')
                   -> radios(trans('company::company.options.account_manage'))
                   -> label(trans('company::company.label.account_manage'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('account_access')
                   -> radios(trans('company::company.options.account_access'))
                   -> label(trans('company::company.label.account_access'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('manage_api')
                   -> radios(trans('company::company.options.manage_api'))
                   -> label(trans('company::company.label.manage_api'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('multi_user')
                   -> radios(trans('company::company.options.multi_user'))
                   -> label(trans('company::company.label.multi_user'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('master_industry')
                       -> label(trans('company::company.label.master_industry'))
                       -> placeholder(trans('company::company.placeholder.master_industry'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('master_business_size')
                       -> label(trans('company::company.label.master_business_size'))
                       -> placeholder(trans('company::company.placeholder.master_business_size'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('government')
                   -> radios(trans('company::company.options.government'))
                   -> label(trans('company::company.label.government'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('not_for_profit')
                   -> radios(trans('company::company.options.not_for_profit'))
                   -> label(trans('company::company.label.not_for_profit'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('master_diversity')
                       -> label(trans('company::company.label.master_diversity'))
                       -> placeholder(trans('company::company.placeholder.master_diversity'))!!}
                </div>

                <div class='col-md-12'>
                    {!! Form::textarea('diversity_details')
                    -> label(trans('company::company.label.diversity_details'))
                    -> dataUpload(trans_url($company->getUploadURL('diversity_details')))
                    -> addClass('html-editor')
                    -> placeholder(trans('company::company.placeholder.diversity_details'))!!}
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('diversity_approval')
                       -> label(trans('company::company.label.diversity_approval'))
                       -> placeholder(trans('company::company.placeholder.diversity_approval'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('logo')
                       -> label(trans('company::company.label.logo'))
                       -> placeholder(trans('company::company.placeholder.logo'))!!}
                </div>

                <div class='col-md-12'>
                    {!! Form::textarea('about_content')
                    -> label(trans('company::company.label.about_content'))
                    -> dataUpload(trans_url($company->getUploadURL('about_content')))
                    -> addClass('html-editor')
                    -> placeholder(trans('company::company.placeholder.about_content'))!!}
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('blocked_categories')
                    -> label(trans('company::company.label.blocked_categories'))
                    -> dataUpload(trans_url($company->getUploadURL('blocked_categories')))
                    -> addClass('html-editor')
                    -> placeholder(trans('company::company.placeholder.blocked_categories'))!!}
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('block_category_master')
                    -> label(trans('company::company.label.block_category_master'))
                    -> dataUpload(trans_url($company->getUploadURL('block_category_master')))
                    -> addClass('html-editor')
                    -> placeholder(trans('company::company.placeholder.block_category_master'))!!}
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_company_name')
                       -> label(trans('company::company.label.verify_company_name'))
                       -> placeholder(trans('company::company.placeholder.verify_company_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_work_email')
                       -> label(trans('company::company.label.verify_work_email'))
                       -> placeholder(trans('company::company.placeholder.verify_work_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_abn')
                       -> label(trans('company::company.label.verify_abn'))
                       -> placeholder(trans('company::company.placeholder.verify_abn'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_duns_number')
                       -> label(trans('company::company.label.verify_duns_number'))
                       -> placeholder(trans('company::company.placeholder.verify_duns_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_company_phone')
                       -> label(trans('company::company.label.verify_company_phone'))
                       -> placeholder(trans('company::company.placeholder.verify_company_phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_trading_name')
                       -> label(trans('company::company.label.verify_trading_name'))
                       -> placeholder(trans('company::company.placeholder.verify_trading_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_director')
                       -> label(trans('company::company.label.verify_director'))
                       -> placeholder(trans('company::company.placeholder.verify_director'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_linkedin_url')
                       -> label(trans('company::company.label.verify_linkedin_url'))
                       -> placeholder(trans('company::company.placeholder.verify_linkedin_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_fb_url')
                       -> label(trans('company::company.label.verify_fb_url'))
                       -> placeholder(trans('company::company.placeholder.verify_fb_url'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_web')
                       -> label(trans('company::company.label.verify_web'))
                       -> placeholder(trans('company::company.placeholder.verify_web'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_invoice_email')
                       -> label(trans('company::company.label.verify_invoice_email'))
                       -> placeholder(trans('company::company.placeholder.verify_invoice_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_order_email')
                       -> label(trans('company::company.label.verify_order_email'))
                       -> placeholder(trans('company::company.placeholder.verify_order_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('verify_registered_office')
                       -> label(trans('company::company.label.verify_registered_office'))
                       -> placeholder(trans('company::company.placeholder.verify_registered_office'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('RFQ')
                   -> radios(trans('company::company.options.RFQ'))
                   -> label(trans('company::company.label.RFQ'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('wizard_steps')
                   -> radios(trans('company::company.options.wizard_steps'))
                   -> label(trans('company::company.label.wizard_steps'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('buyer_wizard_steps')
                   -> radios(trans('company::company.options.buyer_wizard_steps'))
                   -> label(trans('company::company.label.buyer_wizard_steps'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('supplier_wizard_steps')
                   -> radios(trans('company::company.options.supplier_wizard_steps'))
                   -> label(trans('company::company.label.supplier_wizard_steps'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('account_setup')
                   -> radios(trans('company::company.options.account_setup'))
                   -> label(trans('company::company.label.account_setup'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('cp_unique_name')
                       -> label(trans('company::company.label.cp_unique_name'))
                       -> placeholder(trans('company::company.placeholder.cp_unique_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('referral_code')
                       -> label(trans('company::company.label.referral_code'))
                       -> placeholder(trans('company::company.placeholder.referral_code'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('referred_by')
                       -> label(trans('company::company.label.referred_by'))
                       -> placeholder(trans('company::company.placeholder.referred_by'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('b2buy_store_vendor')
                       -> label(trans('company::company.label.b2buy_store_vendor'))
                       -> placeholder(trans('company::company.placeholder.b2buy_store_vendor'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('suffix')
                       -> label(trans('company::company.label.suffix'))
                       -> placeholder(trans('company::company.placeholder.suffix'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('b2buy_policy')
                   -> radios(trans('company::company.options.b2buy_policy'))
                   -> label(trans('company::company.label.b2buy_policy'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('margin_background_process')
                       -> label(trans('company::company.label.margin_background_process'))
                       -> placeholder(trans('company::company.placeholder.margin_background_process'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('b2buy_email')
                   -> radios(trans('company::company.options.b2buy_email'))
                   -> label(trans('company::company.label.b2buy_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('minimum_stock')
                       -> label(trans('company::company.label.minimum_stock'))
                       -> placeholder(trans('company::company.placeholder.minimum_stock'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('customer_number')
                       -> label(trans('company::company.label.customer_number'))
                       -> placeholder(trans('company::company.placeholder.customer_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('send_invoice_by_email')
                       -> label(trans('company::company.label.send_invoice_by_email'))
                       -> placeholder(trans('company::company.placeholder.send_invoice_by_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('send_cxml_invoice')
                       -> label(trans('company::company.label.send_cxml_invoice'))
                       -> placeholder(trans('company::company.placeholder.send_cxml_invoice'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('beta_user')
                       -> label(trans('company::company.label.beta_user'))
                       -> placeholder(trans('company::company.placeholder.beta_user'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('login_to_live')
                       -> label(trans('company::company.label.login_to_live'))
                       -> placeholder(trans('company::company.placeholder.login_to_live'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('login_to_beta')
                       -> label(trans('company::company.label.login_to_beta'))
                       -> placeholder(trans('company::company.placeholder.login_to_beta'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



